﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Jewels
{
    public partial class StartScreen : Form
    {
        public StartScreen()
        {
            InitializeComponent();
        }

        private void btnStart_Click(object sender, EventArgs e)
        {
            if (File.Exists(tBoxFile.Text))
            {
                int timeLimit = 0;
                if (chBoxTimeLimit.Checked)
                {
                    if (!tBoxTimeLimit.Text.Contains(":"))
                    {
                        MessageBox.Show("Neplatný formát času. Správně je minuty:sekundy");
                        return;
                    }
                    string[] s = tBoxTimeLimit.Text.Split(':');
                    int mins;
                    if(!int.TryParse(s[0], out mins))
                    {
                        MessageBox.Show("Neplatný formát času. Správně je minuty:sekundy");
                        return;
                    }
                    int secs;
                    if (!int.TryParse(s[1], out secs))
                    {
                        MessageBox.Show("Neplatný formát času. Správně je minuty:sekundy");
                        return;
                    }
                    timeLimit = mins * 60 * 1000;
                    timeLimit += secs * 1000;
                }
                GameForm gf = new GameForm(tBoxFile.Text, timeLimit);
                gf.Show();
                gf.FormClosed += (object o, FormClosedEventArgs a) => { this.Show(); };
                this.Hide();
            }
            else MessageBox.Show("Soubor s hrací plochou neexistuje");
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            tBoxTimeLimit.Enabled = chBoxTimeLimit.Checked;
        }
    }
}
